kind: PersistentVolumeClaim
apiVersion: v1
metadata:
  namespace: imxc
  name: elasticsearch-data-elasticsearch-0
spec:
  accessModes:
    - ReadWriteOnce
  volumeMode: Filesystem
  resources:
    requests:
      storage: 30Gi
  storageClassName: elasticsearch-storage
  selector:
    matchLabels:
      type: local
      app: elasticsearch
---
kind: PersistentVolumeClaim
apiVersion: v1
metadata:
  namespace: imxc
  name: elasticsearch-data-elasticsearch-1
spec:
  accessModes:
    - ReadWriteOnce
  volumeMode: Filesystem
  resources:
    requests:
      storage: 30Gi
  storageClassName: elasticsearch-storage
  selector:
    matchLabels:
      type: local
      app: elasticsearch
---
#kind: PersistentVolumeClaim
#apiVersion: v1
#metadata:
#  namespace: imxc
#  name: elasticsearch-data-elasticsearch-2
#spec:
#  accessModes:
#    - ReadWriteOnce
#  volumeMode: Filesystem
#  resources:
#    requests:
#      storage: 30Gi
#  storageClassName: elasticsearch-storage
#  selector:
#    matchLabels:
#      type: local
#      app: elasticsearch